from airflow import DAG
from airflow.operators.bash import BashOperator
from airflow.operators.python import PythonOperator
from airflow.operators.empty import EmptyOperator
from airflow.providers.ftp.hooks.ftp import FTPHook
from datetime import timedelta, datetime
import pendulum

def default_options():
    default_args = {
        'owner': 'zhangyf',  # 拥有者名称
        'depends_on_past': 'False',  # 是否依赖于过去。如果为True，那么必须要前次的DAG执行成功了，此次的DAG才能执行。
        'start_date': pendulum.datetime(2022, 7, 6),
        'email': ['zhangyf@jindefund.com'],  # 出问题时，发送报警Email的地址，可以填多个，用逗号隔开。
        'email_on_failure': True,  # 任务失败且重试次数用完时是否发送Email。
        'email_on_retry': False,  # 任务重试时是否发送Email
        'retries': 1,  # 失败重试次数
        'retry_delay': timedelta(seconds=5),  # 失败重试间隔
        'queue': '192.168.5.114:8082'
    }
    return default_args

DAG_ID = ''
DAG_DESCRIPTION = ''
schedule_interval = ''
default_args = default_options()











with DAG(
    dag_id=DAG_ID,
    default_args=default_options(),
    description=DAG_DESCRIPTION,
    schedule_interval=schedule_interval,
    dagrun_timeout=timedelta(minutes=60),
    catchup=False,
    # tags=["dataops"]
) as dag:

    main_task = main_program_task(dag)
    email_task = emailutil_task(dag)
    main_task >> email_task  # 指定执行顺序